class BaseElementsCollectionCondition(object):
    """Базовый Condition class для WaitingElementCollection"""

    def __init__(self, elements_collection):
        """Init BaseElementsCollectionCondition"""
        self.elements_collection = elements_collection

    @property
    def error_msg_postfix(self):
        """Сообщение об ошибке"""
        raise NotImplementedError

    def __call__(self, *args, **kwargs):
        """Метод вызова"""
        raise NotImplementedError


class BaseWaitingElementCondition(object):
    """Базовый Condition class для WaitingElement"""

    def __init__(self, element):
        """Init BaseWaitingElementCondition"""
        self.element = element

    @property
    def error_msg_postfix(self):
        """Сообщение об ошибке"""
        raise NotImplementedError

    def __call__(self, *args, **kwargs):
        """Метод вызова"""
        raise NotImplementedError



