from selenium.common.exceptions import StaleElementReferenceException

from afs_autotests.afs_base_objects.base_conditions import BaseWaitingElementCondition


class exist(BaseWaitingElementCondition):
    @property
    def error_msg_postfix(self) -> str:
        return 'not exist!'

    def __call__(self, *args, **kwargs):
        try:
            return self.element.exist()
        except StaleElementReferenceException:
            return False