from setuptools import setup, find_packages
from os.path import join, dirname
import afs_autotests

setup(
    name='afs_autotests',
    version=afs_autotests.__version__,
    packages=find_packages(),
    long_description=open(join(dirname(__file__), 'README.rst')).read(),
    install_requires=['selenium', 'pytest', 'afs_api_worker'],
    author='Yurii Chudakov',
    author_email='kappa@ksprojects.ru',
    description='KS library for api response',
    license='Apache2'
)
