class AFSAutotestBaseException(Exception):
    """Базовая ошибка"""
    pass


class AFSConfirmPageException(AFSAutotestBaseException):
    """Не подтверждено открытие страницы, так как не найден confirm элемент"""
    pass


class DriverNotImplementedException(AFSAutotestBaseException):
    """Не инициилизирован WebDriver object"""
    pass


class ParameterNotFoundException(AFSAutotestBaseException):
    """Не найден параметр"""
    pass


class PageHrefNotImplemented(AFSAutotestBaseException):
    """Ссылка на страницу не определена"""
    pass
